.386
.model flat,stdcall
option casemap:none

include Force.inc

.code

start:

	invoke GetModuleHandle,NULL
	mov    hInstance,eax
	invoke GetCommandLine
	invoke InitCommonControls
	mov	iccex.dwSize,sizeof INITCOMMONCONTROLSEX    
	mov	iccex.dwICC,ICC_DATE_CLASSES
	invoke InitCommonControlsEx,offset iccex
	invoke WinMain,hInstance,NULL,CommandLine,SW_SHOWDEFAULT
	invoke ExitProcess,eax

      WinMain proc hInst:HINSTANCE,hPrevInst:HINSTANCE,CmdLine:LPSTR,CmdShow:DWORD
	LOCAL	wc:WNDCLASSEX
	LOCAL	msg:MSG

	mov		wc.cbSize,SIZEOF WNDCLASSEX
	mov		wc.style,CS_HREDRAW or CS_VREDRAW
	mov		wc.lpfnWndProc,OFFSET WndProc
	mov		wc.cbClsExtra,NULL
	mov		wc.cbWndExtra,DLGWINDOWEXTRA
	push	hInst
	pop		wc.hInstance
	mov		wc.hbrBackground,COLOR_BTNFACE+1
	mov		wc.lpszMenuName,NULL
	mov		wc.lpszClassName,OFFSET ClassName
	invoke LoadIcon,NULL,500
	mov		wc.hIcon,eax
	mov		wc.hIconSm,eax
	invoke LoadCursor,NULL,IDC_ARROW
	mov		wc.hCursor,eax
	invoke RegisterClassEx,addr wc
	invoke CreateDialogParam,hInstance,addr DlgName,NULL,addr WndProc,NULL
	invoke ShowWindow,hWnd,SW_SHOWNORMAL
	invoke UpdateWindow,hWnd
	.while TRUE
		invoke GetMessage,addr msg,NULL,0,0
	  .BREAK .if !eax
		invoke TranslateMessage,addr msg
		invoke DispatchMessage,addr msg
	.endw
	mov		eax,msg.wParam
	ret

WinMain endp


SetupListview proc h2List:DWORD
	LOCAL lvc:LV_COLUMN
	
	; /*Listview setup */
	mov lvc.imask,LVCF_TEXT+LVCF_WIDTH
	mov lvc.pszText,offset H1
	mov lvc.lx,100		;/* columnwidth */
	invoke SendMessage,h2List, LVM_INSERTCOLUMN,0,addr lvc
	or lvc.imask,LVCF_FMT
	mov lvc.fmt,LVCFMT_LEFT
	mov lvc.pszText,offset H2
	mov lvc.lx,100
	invoke SendMessage,h2List, LVM_INSERTCOLUMN, 1 ,addr lvc
	or lvc.imask,LVCF_FMT
	mov lvc.fmt,LVCFMT_LEFT
	mov lvc.pszText,offset H3
	mov lvc.lx,100
	invoke SendMessage,h2List, LVM_INSERTCOLUMN, 2 ,addr lvc
	or lvc.imask,LVCF_FMT
	mov lvc.fmt,LVCFMT_LEFT
	mov lvc.pszText,offset H4
	mov lvc.lx,180
	invoke SendMessage,h2List, LVM_INSERTCOLUMN, 3 ,addr lvc
	
	

	invoke SendMessage,hList,LVM_GETHEADER, 0, 0  
	mov hHeader,eax  
	invoke GetWindowLong, hHeader, GWL_EXSTYLE   
	xor eax,HDS_BUTTONS 
	
      invoke SetWindowLong,hHeader, GWL_STYLE, eax   

	mov    eax, LVS_EX_FULLROWSELECT or LVS_EX_HEADERDRAGDROP or LVS_EX_SUBITEMIMAGES or LVS_EX_GRIDLINES


	invoke   SendMessage, hList, LVM_SETEXTENDEDLISTVIEWSTYLE, 0, eax
	invoke   SendMessage, hList, LVM_SETTEXTCOLOR, 0, 00000000h
	invoke   SendMessage, hList, LVM_SETBKCOLOR, 0, 00FFFFFFh
	invoke   SendMessage, hList, LVM_SETTEXTBKCOLOR, 0,00A6F7F0h

	ret		
SetupListview endp
;==========================================================================================================================
;******************************************* WINLIST *********************************************************************

WinList proc hInst:HINSTANCE,hPrevInst:HINSTANCE,CmdLine:LPSTR,CmdShow:DWORD
	LOCAL	wc:WNDCLASSEX
	LOCAL	msg:MSG

	mov		wc.cbSize,SIZEOF WNDCLASSEX
	mov		wc.style,CS_HREDRAW or CS_VREDRAW
	mov		wc.lpfnWndProc,OFFSET WndList
	mov		wc.cbClsExtra,NULL
	mov		wc.cbWndExtra,DLGWINDOWEXTRA
	push	hInst
	pop		wc.hInstance
	mov		wc.hbrBackground,COLOR_BTNFACE+1
	mov		wc.lpszMenuName,OFFSET MenuName2
	mov		wc.lpszClassName,OFFSET ClassName2
	invoke LoadIcon,NULL,500
	mov		wc.hIcon,eax
	mov		wc.hIconSm,eax
	invoke LoadCursor,NULL,IDC_ARROW
	mov		wc.hCursor,eax
	invoke RegisterClassEx,addr wc
	invoke CreateDialogParam,hInstance,addr DlgName2,NULL,addr WndList,NULL
	invoke ShowWindow,hWnd,SW_SHOWNORMAL
	invoke UpdateWindow,hWnd
	.while TRUE
		invoke GetMessage,addr msg,NULL,0,0
	  .BREAK .if !eax
		invoke TranslateMessage,addr msg
		invoke DispatchMessage,addr msg
	.endw
	mov		eax,msg.wParam
	ret

WinList endp

;=========================================================================================================================






WndProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL rect:RECT
	LOCAL ht:DWORD
	LOCAL pt:POINT
	LOCAL LItems:DWORD
	
	mov		eax,uMsg
	.if eax==WM_INITDIALOG
		push		hWin
		pop		hWnd
	invoke AnimateWindow,hWin,2500,AW_ACTIVATE or AW_VER_NEGATIVE
 
                   invoke SetFocus,hWin

	

		
		invoke GetDlgItem,hWin,1001
		mov hList,eax
		
		;/* Setup listview */
		invoke SetupListview,hList
		
		invoke SetWindowText,hWin,addr AppName
		
	      .elseif eax==WM_COMMAND
		mov		eax,wParam
		and		eax,0FFFFh
		
		.if eax==8000

      invoke SendMessage,hWin,WM_CLOSE,NULL,NULL
	invoke WinList,hInstance,NULL,CommandLine,SW_SHOWDEFAULT
	




.endif
	
	.elseif eax==WM_CLOSE
invoke AnimateWindow,hWin,2500,AW_HIDE or AW_VER_NEGATIVE
                    invoke EndDialog,hWin,NULL

		invoke DestroyWindow,hWin
	.elseif uMsg==WM_DESTROY
		invoke PostQuitMessage,NULL
	.else
		invoke DefWindowProc,hWin,uMsg,wParam,lParam
		ret
	.endif
	xor    eax,eax
	ret

WndProc endp


;=========================================================================================================================
;**************************************************** WNDLIST ***********************************************************

WndList proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL rect:RECT
	LOCAL ht:DWORD
	LOCAL pt:POINT
	LOCAL LItems:DWORD
	
	mov		eax,uMsg
	.if eax==WM_INITDIALOG
		push		hWin
		pop		hWnd
		
		
invoke AnimateWindow,hWin,2500,AW_ACTIVATE or AW_VER_POSITIVE
 
                   invoke SetFocus,hWin


		
		invoke GetDlgItem,hWin,1001
		mov hList,eax
		
		;/* Setup listview */
		invoke SetupListview,hList
		
		invoke SetWindowText,hWin,addr AppName
		
	      .elseif eax==WM_COMMAND
		mov		eax,wParam
		and		eax,0FFFFh
		
	







	
	.elseif eax==WM_CLOSE
invoke AnimateWindow,hWin,2500,AW_HIDE or AW_VER_NEGATIVE
                    invoke EndDialog,hWin,NULL

invoke DestroyWindow,hWin

	;invoke AnimateWindow,WinMain,2500,AW_HIDE or AW_VER_POSITIVE
	.elseif uMsg==WM_DESTROY
		invoke PostQuitMessage,NULL
	.else
		invoke DefWindowProc,hWin,uMsg,wParam,lParam
		ret
	.endif
	xor    eax,eax
	ret

WndList endp

;=========================================================================================================================



AddProc proc hAddDlg:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
LOCAL lv_findinfo: LV_FINDINFO 


.if uMsg==WM_CLOSE

	invoke EndDialog,hAddDlg,NULL

.elseif uMsg==WM_INITDIALOG
	invoke GetDlgItem,hAddDlg,IDC_EDIT1
	invoke SetFocus,eax

.elseif uMsg==WM_COMMAND
	mov eax,wParam
		.if ax==IDC_BUTTON1
			invoke SendMessage,hAddDlg,WM_CLOSE,NULL,NULL
		.elseif ax==IDC_BUTTON2
			invoke GetDlgItemText,hAddDlg,IDC_EDIT1,offset buffer,sizeof buffer
			mov lvi.iSubItem,0
			invoke SendMessage,hList,LVM_INSERTITEM,0,addr lvi
			mov lv_findinfo.flags,LVFI_STRING
			mov lv_findinfo.psz,offset buffer
			invoke SendMessage,hList,LVM_FINDITEM,-1,addr lv_findinfo
			mov lvi.iItem,eax

			invoke GetDlgItemText,hAddDlg,IDC_EDIT2,offset buffer,sizeof buffer
			inc lvi.iSubItem
			invoke SendMessage,hList,LVM_SETITEM,0,addr lvi

			invoke GetDlgItemText,hAddDlg,IDC_EDIT3,offset buffer,sizeof buffer
			inc lvi.iSubItem
			invoke SendMessage,hList,LVM_SETITEM,0,addr lvi

			invoke GetDlgItemText,hAddDlg,IDC_EDIT4,offset buffer,sizeof buffer
			inc lvi.iSubItem
			invoke SendMessage,hList,LVM_SETITEM,0,addr lvi

			inc Aydin
			invoke SendMessage,hAddDlg,WM_CLOSE,NULL,NULL
		

		.endif

.else 
	mov eax,FALSE
	ret
.endif
mov eax,TRUE
ret
AddProc endp

end start
